Tickets
List as xlsx
Runs the same query as the ticket list and returns the result as an xlsx spreadsheet named tickets.xlsx. The take argument is ignored (the server always exports the full filtered set, fetched in batches of 10000) and the export stops at 100000 tickets.
GET
/api/{tenant:minlength(2)}/v{version:apiVersion}/tickets/as_xlsx
Request arguments
| Name | Type | Source |
|---|---|---|
| filter | DTO_ticket_filter | Query |
Request body example
Response
Response body example
DTO_ticket_filter
| Name | Type | ReadOnly | Description |
|---|---|---|---|
| include_hidden | Boolean | Include hidden | |
| include_soft_deleted | Boolean | Include soft deleted | |
| status | String | Status | |
| sort_by_key | String | Sort by key | |
| response_field_keys | String[] | Response field keys | |
| filters | String[] | Filters | |
| include_aggregations | Boolean | Include aggregations | |
| include_imported | Boolean | Include imported | |
| search | String | Search | |
| sort_order | ENUM sort_order | Sort order | |
| take | Int32 | Take | |
| page | Int32 | Page |
ENUM sort_order
| Value | Name | Description |
|---|---|---|
| 0 | ASC | ASC |
| 1 | DESC | DESC |
Generated Aug 4, 2026 18:37